Package: org.slf4j.impl

## [Java] Class StaticMDCBinder

- org.slf4j.impl.StaticMDCBinder

- Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static StaticMDCBinder` | `SINGLETON` | The unique instance of this class.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `org.slf4j.spi.MDCAdapter` | `getMDCA()` Currently this method always returns an instance of StaticMDCBinder.
    `java.lang.String` | `getMDCAdapterClassStr()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final StaticMDCBinder SINGLETON

      The unique instance of this class.

  - ### Method Detail

    - #### public org.slf4j.spi.MDCAdapter getMDCA()

      Currently this method always returns an instance of StaticMDCBinder.

    - #### public java.lang.String getMDCAdapterClassStr()